// ===========================================================================
// CONTENT  : CLASS IconRenderer
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 09/04/2004
// HISTORY  :
//  09/04/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.joi.renderer;

// ===========================================================================
// IMPORTS
// ===========================================================================
import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JLabel;

import org.pfsw.joi.ObjectRenderer2;

/**
 * Provides a JLabel containing the icon.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class IconRenderer implements ObjectRenderer2
{
  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public IconRenderer()
  {
    super();
  } // IconRenderer() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  /**
   * @see org.pfsw.joi.ObjectRenderer2#inspectComponent(java.lang.Object)
   */
  @Override
  public Component inspectComponent(Object obj)
  {
    if (obj instanceof Icon)
    {
      return new JLabel((Icon)obj);
    }
    return null;
  } // inspectComponent()

  // -------------------------------------------------------------------------

  /**
   * @see org.pfsw.joi.ObjectRenderer#inspectString(java.lang.Object)
   */
  @Override
  public String inspectString(Object obj)
  {
    return obj.toString();
  } // inspectString()

} // class IconRenderer 
